#ifndef __mx_email_h__
#define __mx_email_h__

#include "vars.h"

long AccountPendingMail(CVars in);
long WelcomeAccountMail(CVars in);
long GroupCreateMemberMail(CVars in);
long CreateWrenchBoardGroupMail(CVars in);
long JobAddedMail(CVars in);
long AlertActions(CVars in);

long ContactMessage(CVars in);
long send_email(CVars in, CVars &out);
long SystemStatus();
long VirtualAirSaleAlert(CVars in);
void SendAccountCreateAlert(long customer_id);
long VirtualAirSaleCustomer(CVars in);
void  CustomerBalanceEmail(CVars in);
void  PaymentAlert(CVars in);
void  BalanceUpdateAlert(CVars in);
void  CustomerEmailWelcome(CVars in);
long CustomerAirSale(CVars in);
long CustomerAirSalePayment(CVars in);
long CustomerAirBonus(CVars in);
long CustomerBalanceBonusEmail(CVars in);
long StartPassResetEmail(CVars in);
long CompletePassResetEmail(CVars in);
long SendPromoEmail(CVars in);
long  SendBalanceRequestAlert(CVars in);
long SendBalanceCompleteAlert(CVars in);

long account_email(long mailtype, CVars in, CVars &out);
long job_email(long mailtype, CVars in, CVars &out);
long project_email(long mailtype, CVars in, CVars &out);
long test_email(CVars in, CVars &out);
long sendmoney_email(long mailtype, CVars in, CVars &out);
long alert_email(long mailtype, CVars in, CVars &out) ;
long SendmarketMessage(CVars in, CVars &out);
long cron_email(long mailtype, CVars in, CVars &out);
long coupon_email(long mailtype, CVars in, CVars &out);
long family_email(long mailtype, CVars in, CVars &out);
long market_email(long mailtype, CVars in, CVars &out);
long plan_notification(CVars in, CVars &out);
long SignupPendingAlertMailfile(CVars in);
long SignupCompletedAlertMailfile(CVars in);
long promo_email(long mailtype, CVars in, CVars &out);

#endif

